Alokai

SapccApiGetProductInterestsRequest

Request parameters for getProductInterests operation in SapccApi. SapccApiGetProductInterestsRequest

interface SapccApiGetProductInterestsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: string;
	readonly fields?: string;
	readonly needsTotal?: GetProductInterestsNeedsTotalEnum;
	readonly notificationType?: string;
	readonly pageSize?: string;
	readonly productCode?: string;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetProductInterests
currentPageOptionalstringCurrent result page. Default value is 0. {string} SapccApiGetProductInterests
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetProductInterests
needsTotalOptionalGetProductInterestsNeedsTotalEnumFlag to indicate if the total number of results is needed or not. {'true' | 'false'} SapccApiGetProductInterests
notificationTypeOptionalstringNotification type. {string} SapccApiGetProductInterests
pageSizeOptionalstringThe number of results returned per page. {string} SapccApiGetProductInterests
productCodeOptionalstringProduct identifier. {string} SapccApiGetProductInterests
sortOptionalstringSorting method applied to the return results. Default value is by name. {string} SapccApiGetProductInterests
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetProductInterests

Referenced Types

On this page